Subject: Re: bug#39095: GRUB EFI should have a 'chainloader' option

From: Bengt Richter <[email-masked]>
Date: Sun, 12 Jan 2020 06:55:28 -0800

Hi symphonia,

On +2020-01-12 12:08:08 +0000, [email-masked] wrote:
> To dual boot with NixOS and other operating systems it would be nice to have 'chainloader' so that this configuration would work:
> (bootloader
>     (bootloader-configuration
>       (bootloader grub-efi-bootloader)
>       (target "/boot/efi")
>       (menu-entries
>        (menu-entry
>         (label "systemd-boot")
>         (chainloader "/EFI/Boot/bootx64.efi")))
> 
> 
> 

I just got a librem13v4 with PureOS installed booting via Coreboot amd grub,
and found that it will boot legacy mbr usbs, but would not boot a UEFI-bootable
USB or system on external USB SSD, though it shows up in a list of bootables.
(I've seen a reference to some kind of tool that converts a GPT partition to MBR style,
but I don't want to do that).

Does anyone know if efibootmgr and coreboot see bios nvram compatibly?
Or a workaround?

I saw your post and am hoping to find a possibly similar 'chainloader'
solution, but worry that the second loader may mess incompatibly with bios nvram.
-- 
Regards,
Bengt Richter